<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
document.location.href = "login.php";
  </script>
  <?php
  exit();
}
$page_title = 'Профессии';
require_once('conf/head.php');
require_once('conf/top.php');
$log=abs(intval($_SESSION['id']));
$set=$dbc->query("SELECT * FROM `users` WHERE`id`='$log' LIMIT 1")->fetch_assoc();
$var=$set[doktor]+50;
$var2=$set[mehanik]+50;
$var3=$set[razb]+50;
echo'<br/><center><p class="name">Профессии</p></center>';
switch($_GET[mod]){
default:
echo'<span class="bonus">Профессия - один из навыков игрока. Каждая профессия имеет свою возможность.</span>
<div class="dot"><center>Для изучения доступно:</div><div class="r6"></center><span class="white">1. 
<a  style="text-decoration:none;"href=profi.php?mod=doktor><span class="darkorange">Доктор</span></a> <b>'.$set[doktor].'</b> ур.<br/><font color="#895607">Вы лучше находите общий язык с медиками, тем самым с экономите себе деньги на медикаменты!</font></div>
<div class="r6">2. <a style="text-decoration:none;" href=profi.php?mod=mehanik><span class="darkorange">Механик</span></a> <b>'.$set[mehanik].'</b> ур.<br/><font color="#895607">Механики зоны будут с уважением к вам относиться, будут понижать цены за ремонт!</font></div>
<div class="r6">3. <a style="text-decoration:none;" href=profi.php?mod=razb><span class="darkorange">Разбойник</span></a> <b>'.$set[razb].'</b> ур.<br/><font color="#895607">Чем выше уровень разбойника тем больше раз сталкер вы сможете сражаться на арене каждый день! </font></div>';
break;

case 'doktor':
$lvl=$set[doktor];
if($lvl==0){$kol=200;}
if($lvl==1){$kol=400;}
if($lvl==2){$kol=800;}
if($lvl==3){$kol=1200;}
if($lvl==4){$kol=1600;}
if($lvl==5){$kol=2000;}
if($lvl==6){$kol=2500;}
if($lvl==7){$kol=3000;}
if($lvl==8){$kol=3500;}
if($lvl==9){$kol=4200;}
if($lvl==10){$kol=5000;}

if(empty($_GET[uv])){
$lv=$lvl+50;
echo '<form action="profi.php?mod=doktor&uv='.$lv.'" method="post">';
echo"<div class=\"r6\">Вы доктор $set[doktor] уровня<br>";
if($set[doktor]>=11){echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> У вас максимальный уровень!</br></div>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></font></div>";break;}else{
echo '<input class="button"  type="submit" value="Повысить за '.$kol.' рублей" /></form>';
echo"</br><div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></div></div>";}}
elseif($_GET[uv]!=$var){echo"<font color='red'><img src='/img/ico/no.png' alt =''/> Нельзя так повышать!</br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=doktor>Назад</a></font></div>";break;}
elseif($udata[money]<$kol){echo"<font color='red'><img src='/img/ico/no.png' alt =''/> Не хватает рублей!</br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=doktor>Назад</a></font></div>";break;}
elseif($set[doktor]>=11){echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> У вас максимальный уровень!</br></div>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></font></div>";break;}
else{
$n=$set[doktor]+1;
$pdo->exec("UPDATE `users` SET `money` =`money`-'$kol' WHERE `id` = '$log'");
$pdo->exec("UPDATE `users` SET `doktor` = '$set[doktor]'+'1' WHERE `id` = '$log'");
echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> Уровень успешно повышен до $n !</font></br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=doktor>Назад</a></div>";}

break;

case 'mehanik':
$lvl=$set[mehanik];
if($lvl==0){$kol=200;}
if($lvl==1){$kol=400;}
if($lvl==2){$kol=800;}
if($lvl==3){$kol=1200;}
if($lvl==4){$kol=1600;}
if($lvl==5){$kol=2000;}
if($lvl==6){$kol=2500;}
if($lvl==7){$kol=3000;}
if($lvl==8){$kol=3500;}
if($lvl==9){$kol=4200;}
if($lvl==10){$kol=5000;}

if(empty($_GET[uv])){
$lv=$lvl+50;
echo '<form action="profi.php?mod=mehanik&uv='.$lv.'" method="post">';
echo"<div class=\"r6\">Ваш уровень Механика $set[mehanik]<br>";
if($set[mehanik]>=11){echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> У вас максимальный уровень!</br></div>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></font></div>";break;}else{
echo '<input class="button" type="submit"  value="Повысить за '.$kol.' рублей" /></form>';
echo"</br><div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></div></div>";}}
elseif($_GET[uv]!=$var2){echo"<font color='red'><img src='/img/ico/no.png' alt =''/> Нельзя так повышать!</br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=mehanik>Назад</a></font></div>";break;}
elseif($udata[money]<$kol){echo"<font color='red'><img src='/img/ico/no.png' alt =''/> Не хватает рублей!</br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=mehanik>Назад</a></font></div>";break;}
elseif($set[mehanik]>=11){echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> У вас максимальный уровень!</br></div>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></font></div></div>";break;}
else{
$n=$set[mehanik]+1;
$pdo->exec("UPDATE `users` SET `money` = `money`-'$kol' WHERE `id` = '$log'");
$pdo->exec("UPDATE `users` SET `mehanik` = '$set[mehanik]'+'1' WHERE `id` = '$log'");
echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> Уровень успешно повышен до $n !</font></br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=mehanik>Назад</a></div>";}

break;

case 'razb':
$lvl=$set[razb];
if($lvl==0){$kol=300;}
if($lvl==1){$kol=600;}
if($lvl==2){$kol=1200;}
if($lvl==3){$kol=1900;}
if($lvl==4){$kol=2700;}
if($lvl==5){$kol=3600;}
if($lvl==6){$kol=4600;}
if($lvl==7){$kol=5700;}
if($lvl==8){$kol=6900;}
if($lvl==9){$kol=8200;}
if($lvl==10){$kol=9600;}

if(empty($_GET[uv])){
$lv=$lvl+50;
echo '<form action="profi.php?mod=razb&uv='.$lv.'" method="post">';
echo"<div class='r6'>Ваш уровень Разбойника $set[razb]<br>";
if($set[razb]>=11){echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> У вас максимальный уровень!</br></div>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></font></div>";break;}else{
echo '<input class="button" type="submit"  value="Повысить за '.$kol.' рублей" /></form>';
echo"</br><div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></div></div>";}}
elseif($_GET[uv]!=$var3){echo"<font color='red'><img src='/img/ico/no.png' alt =''/> Нельзя так повышать!</br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=razb>Назад</a></font></div>";break;}
elseif($udata[money]<$kol){echo"<font color='red'><img src='/img/ico/no.png' alt =''/> Не хватает рублей!</br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=razb>Назад</a></font></div>";break;}
elseif($set[razb]>=11){echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> У вас максимальный уровень!</br></div>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?>Назад</a></font></div>";break;}
else{
$n=$set[razb]+1;
$pdo->exec("UPDATE `users` SET `money` = `money`-'$kol' WHERE `id` = '$log'");
$pdo->exec("UPDATE `users` SET `razb` = '$set[razb]'+'1',  `arenainv` = '$set[arenainv]'+'5' WHERE `id` = '$log'");
echo"<font color='lime'><img src='/img/ico/ok.png' alt =''/> Уровень успешно повышен до $n !</font></br>
<div class='r2'><img src='/img/ico/arrow.png' alt =''/><a href=profi.php?mod=razb>Назад</a></div>";}
break;

}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);
?>

</body>
</html>